Get Test Case
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Get Test Case
Get a single test case by ID
GET
/
v1
/
projects
/
{projectId}
/
test-cases
/
{testCaseId}
Get Test Case
Request
GET https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId}
Path Parameters
string
required
The project ID
string
required
The test case ID
Headers
string
required
Bearer token using your developer key
Response
object
The test case object with
id, name, systemPrompt, maxTurns, variables, and acceptanceCriteria.Example
curl https://api.pathors.com/v1/projects/{projectId}/test-cases/{testCaseId} \
-H "Authorization: Bearer dk_your_key"
{
"data": {
"id": "test-case-uuid",
"projectId": "project-uuid",
"name": "Greeting flow",
"systemPrompt": "You are a helpful assistant",
"maxTurns": 5,
"variables": {},
"acceptanceCriteria": [
{
"id": "criterion-uuid",
"testCaseId": "test-case-uuid",
"description": "Agent should greet the user"
}
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:00:00.000Z"
}
}
⌘I
